#include <iostream>
#include <string>
using namespace std;

int zbiri(int duzina,int zbirx,int a[],int k,int poc){
    zbirx=0;
    if(k==0){
    for(int i=poc;i<duzina;i++){
        zbirx=zbirx+a[i];
    }}else
    {
    k=k-1;
    for(int i=poc;i<duzina;i++)
    {
        for(int j=i;j<duzina;j++)
        {
            zbirx=zbirx+zbiri(j+1,zbirx,a,k,i);
        }
    }}
    return zbirx;
}

int main()
{
    int zbir=0;
    int zbir1=0;
    int a,k;
    int niz[a];
    int m = 1000000007;
    cin>>a>>k;
   for(long long i=0;i<a;i++)
    {
        cin>>niz[i];
    }
    zbir1=zbiri(a,zbir,niz,k,0);
    cout<<zbir1 % m;
    return 0;
}